Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1122473 - Custom fencing settings are not saved in DB
Summary: Custom fencing settings are not saved in DB
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 3.5.0
Assignee: Eli Mesika
QA Contact: sefi litmanovich
URL:
Whiteboard: infra
Depends On:
Blocks: rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-07-23 11:05 UTC by Eli Mesika
Modified: 2016-02-10 19:06 UTC (History)
9 users (show)

Fixed In Version: ovirt-3.5.0_rc1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 17:09:46 UTC
oVirt Team: Infra
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 30643 master MERGED core: custom fencing settings are not save to DB Never
oVirt gerrit 30648 ovirt-engine-3.5 MERGED core: custom fencing settings are not save to DB Never

Description Eli Mesika 2014-07-23 11:05:46 UTC
Description of problem:
Custom fencing settings are not saved in DB

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.Add custom PM agent for example :
2.engine-config -s CustomVdsFenceType="virsh"
3.engine-config -s CustomVdsFenceOptionMapping="virsh:port=port,secure=ssh"
4.Run application
5.Add two hosts h1 and h2
6.Select PM for h1 with the new "virsh" agent and address/user/password 
7.Press OK

Actual results:

Operation Canceled
Error while executing action:
cascade:
Cannot edit Host. Selected Power Management Agent is not supported.


Expected results:
Custom PM agent settings should be saved in DB

Additional info:
Validation should take into account new custom agents added by engine-config

Comment 1 sefi litmanovich 2014-09-16 12:54:25 UTC
Verified rhevm-3.5.0-0.12.beta.el6ev.noarch according to use case in the description.

Comment 2 Eyal Edri 2015-02-17 17:09:46 UTC
rhev 3.5.0 was released. closing.


Note You need to log in before you can comment on or make changes to this bug.